RK-J - Task #2523

Feature # 2518 (Closed): Show only published booklets in /gna page (latest modified first)

Feature # 2520 (Closed): Enable 'Content Admin' Role to (un)publish booklets (in the SolutionGraph->List page)

Update the state field in the solution graph list using un(publish) button.

07/14/2022 03:37 PM - Ayush Khandelwal

Status: Closed Start date: 07/14/2022
Priority: High Due date: 07/14/2022
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 1.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

On click of the publish button, update all the selected solution graph entries in the datastore as 'publish’ state.
On click of the unpublish button, update all the selected solution graph entries in the datastore as 'unpublish’ state.

History

#1 - 07/15/2022 05:53 AM - Venmuhilan B

- Status changed from New to In Progress

#2 - 07/15/2022 07:41 AM - Venmuhilan B
- % Done changed from 0 to 90

#3 - 07/15/2022 09:06 AM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 90 to 100

#4 - 07/19/2022 05:48 AM - Ram Kordale
- Priority changed from Urgent to High

#5 - 07/20/2022 05:21 AM - Ayush Khandelwal
- Status changed from Resolved to Reopened

- % Done changed from 100 to 50

Reopened reason:
1. Change the method type from GET to POST.

2. Send the solutionGraphlds in the request-body instead of in the url.

3. Use a single api for un(publish) state instead of two api's.

#6 - 07/20/2022 05:27 AM - Venmuhilan B

- Status changed from Reopened to In Progress

#7 - 07/20/2022 07:39 AM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#8 - 07/25/2022 05:29 AM - Venmuhilan B
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#9 - 10/17/2022 04:39 AM - Ayush Khandelwal
- Status changed from Feedback to Closed

Working as expected
